package com.zbf.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zbf.system.domain.TStockCheck;

import java.util.List;

/**
 * 盘点库存数据Mapper接口
 *
 * @author tony
 * @date 2024-10-31
 */
public interface TStockCheckMapper extends BaseMapper<TStockCheck> //修改
{
    /**
     * 查询盘点库存数据
     *
     * @param id 盘点库存数据主键
     * @return 盘点库存数据
     */
    public TStockCheck selectTStockCheckById(String id);

    /**
     * 查询盘点库存数据列表
     *
     * @param tStockCheck 盘点库存数据
     * @return 盘点库存数据集合
     */
    public List<TStockCheck> selectTStockCheckList(TStockCheck tStockCheck);

    /**
     * 新增盘点库存数据
     *
     * @param tStockCheck 盘点库存数据
     * @return 结果
     */
    public int insertTStockCheck(TStockCheck tStockCheck);

    /**
     * 修改盘点库存数据
     *
     * @param tStockCheck 盘点库存数据
     * @return 结果
     */
    public int updateTStockCheck(TStockCheck tStockCheck);

    /**
     * 删除盘点库存数据
     *
     * @param id 盘点库存数据主键
     * @return 结果
     */
    public int deleteTStockCheckById(String id);

    /**
     * 批量删除盘点库存数据
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTStockCheckByIds(String[] ids);

    /**
     * 批量启用盘点库存数据
     *
     * @param ids 需要启用的数据主键集合
     * @return 结果
     */
    public int enableTStockCheckByIds(String[] ids);

    /**
     * 批量禁用盘点库存数据
     *
     * @param ids 需要禁用的数据主键集合
     * @return 结果
     */
    public int disabledTStockCheckByIds(String[] ids);

}
